gstreamermm: Gst::MixerOptions Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gst::MixerOptions Class Reference
gstreamermm Interfaces

A class that represents options for elements that implement the Gst::Mixer interface. More...

Inheritance diagram for Gst::MixerOptions:
[legend]
Collaboration diagram for Gst::MixerOptions:
[legend]

List of all members.

## Public Member Functions
virtual | ~MixerOptions ()
GstMixerOptions* | gobj ()
| Provides access to the underlying C GObject.
const GstMixerOptions* | gobj () const
| Provides access to the underlying C GObject.
GstMixerOptions* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ListHandle< Glib::ustring > | get_values () const
| Get the values for the mixer option.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::MixerOptions > | wrap (GstMixerOptions* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A class that represents options for elements that implement the Gst::Mixer interface.

## Constructor & Destructor Documentation

virtual Gst::MixerOptions::~MixerOptions | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::ListHandle< Glib::ustring > Gst::MixerOptions::get_values | ( |  | ) | const

Get the values for the mixer option.

Returns:
  A list of strings with all the possible values for the mixer option. You must not free or modify the list or its contents, it belongs to the mixer_options object.

const GstMixerOptions* Gst::MixerOptions::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::MixerTrack.

GstMixerOptions* Gst::MixerOptions::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::MixerTrack.

GstMixerOptions* Gst::MixerOptions::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::MixerTrack.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::MixerOptions > wrap | ( | GstMixerOptions * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/mixeroptions.h